package com.pwt.common.enums;//**

/**
 * 站控系统故障
 */
public enum WebSocketFault {

    ROBOT_TIME_OUT("换电机器人连接超时"),
    RFID_TIME_OUT("RFID连接超时"),
    CODESCANNER_TIME_OUT("扫码枪连接超时"),
    CHARGER1_TIME_OUT("1#充电机组连接超时"),
    CHARGER2_TIME_OUT("2#充电机组连接超时"),
    CHARGER3_TIME_OUT("3#充电机组连接超时"),
    CHARGER4_TIME_OUT("4#充电机组连接超时"),
    CHARGER5_TIME_OUT("5#充电机组连接超时"),
    CHARGER6_TIME_OUT("6#充电机组连接超时"),
    CHARGER7_TIME_OUT("7#充电机组连接超时"),
    CHARGER8_TIME_OUT("8#充电机组连接超时"),
    CLOUD_PLATFORM_TIME_OUT("云平台超时故障"),
    CLOUD_PLATFORM_CONFIRM_VIHICEL("云平台确认车辆信息"),
    SCANNER_INFO_ILLEGAL("扫码枪信息警告"),
    VIHICEL_TIME_OUT("车机连接超时"),
    RFID_FAULT("RFID扫描故障"),
    VIHICLE_NOT_MATCH("车辆信息不匹配"),
    VIHICLE_STATUS_FAULT("车辆状态故障"),
    VIHICLE_UNLOCK_FAULT("车辆解锁警告"),
    CHANGE_POWER_WAITING_TIME_OUT("换电等待超时警告"),
    CHANGE_POWER_TIME_OUT("换电超时警告"),
    VIHICLE_OUT_TIME_OUT("车辆驶离超时"),
    VIHICLE_EXCEPTION("车机通讯异常或车辆异常上锁"),
    ;

    private String faultMsg;

    public String getFaultMsg()
    {
        return faultMsg;
    }

    WebSocketFault(String faultMsg)
    {
        this.faultMsg = faultMsg;
    }
}
